#include <iostream>
using namespace std;

main()
{
	cout << "pre bloka try" << endl;
	try {
		cout << "pre throw" << endl;
		throw "namerni izuzetak";
		cout << "posle throw" << endl;
	}catch( char* s ){
		cout << "Doslo je do greske: " << s << endl;
	}catch(...){
		cout << "Nepoznata greska!" << endl;
	}
	cout << "posle bloka try" << endl;
	return 1;
}

/*
pre bloka try
pre throw
Doslo je do greske: namerni izuzetak
posle bloka try

*/